Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 280236 - games-util/atlas: fails to build with gcc-4.4
Summary: games-util/atlas: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-08-03 22:37 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-12 19:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (atlas-0.3.1:20090803-200709.log,32.96 KB, text/plain)
2009-08-03 22:39 UTC, Diego Elio Pettenò (RETIRED)
Details
Snapshot from CVS which appears to be working. (atlas-0.3.1_p20090812.ebuild,1.93 KB, text/plain)
2009-08-12 13:46 UTC, Samuli Suominen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-03 22:37:46 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-03 22:39:17 UTC
Created attachment 200067 [details]
Build log
Comment 2 Samuli Suominen gentoo-dev 2009-08-11 08:44:57 UTC
Where it's now doing '#include SG_GLUT_H' it needs a '#include <GL/glut.h>'
And where it's doing 'SG_USING_STD(vector);' it needs a 'using std::vector;'

It's because the preprocessor is failing here.. But that's not all, it's also using "max", "mix" where it should use std::max and std::min, or you need to
do 'using namespace std;' in those files alternatively but that might end up
doing something unwanted too.

That said, there's one error I couldn't figure out so sorry for not attaching a patch here.
Comment 3 Samuli Suominen gentoo-dev 2009-08-12 13:46:19 UTC
Created attachment 201024 [details]
Snapshot from CVS which appears to be working.

They don't use the 'lowres' directory anymore, so removed the directive to that... Started it without FlightGear and it appears to be working.
Comment 4 Mr. Bones. (RETIRED) gentoo-dev 2009-08-12 19:51:54 UTC
in portage.  thanks for the ebuild.